
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP中的mongodb group操作实例_MongoDB / iVAN</title>

    <meta name="description" content="PHP中的mongodb group操作实例_MongoDB 紧接着上篇来,这篇主要讲,mongodb的group功能,做的还是挺强大的,相当对于find(),skip(),distinct()等,用法比较复杂. 测试数据: 复制代码 代码如下: &gt; db.fruit.find();  { &quot;_id&quot; : 1, &quot;category&quot; : &quot;fruit&quot;, &quot;name&quot; : &quot;apple&quot; }  { &quot;_id&quot; : 2, &quot; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP中的mongodb group操作实例_MongoDB</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>紧接着上篇来，这篇主要讲，mongodb的group功能，做的还是挺强大的，相当对于find()，skip()，distinct()等，用法比较复杂。</p>
<p>测试数据：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt; db.fruit.find();  <br />
{ "_id" : 1, "category" : "fruit", "name" : "apple" }  <br />
{ "_id" : 2, "category" : "fruit", "name" : "peach" }  <br />
{ "_id" : 3, "category" : "fruit", "name" : "banana" }  <br />
{ "_id" : 4, "category" : "veggie", "name" : "corn" }  <br />
{ "_id" : 5, "category" : "veggie", "name" : "broccoli" } </p>
<p><strong>1、根据category分组<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt; db.fruit.group(  <br />
       {  <br />
         key: { category: 1},  <br />
         reduce: function(obj, prev) {  <br />
                     prev.items.push(obj.name);  <br />
                 },  <br />
         initial: { items : [] }  <br />
       }  <br />
    );  <br />
[  <br />
        {  <br />
                "category" : "fruit",  <br />
                "items" : [  <br />
                        "apple",  <br />
                        "peach",  <br />
                        "banana"  <br />
                ]  <br />
        },  <br />
        {  <br />
                "category" : "veggie",  <br />
                "items" : [  <br />
                        "corn",  <br />
                        "broccoli"  <br />
                ]  <br />
        }  <br />
]</p>
<p>php代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$keys = array("category" =&gt; 1);  <br />
$initial = array("items" =&gt; array());  <br />
$reduce = "function (obj, prev) { prev.items.push(obj.name); }";  <br />
$g = $collection-&gt;group($keys, $initial, $reduce);  <br />
  <br />
print_r($g);   //结果如下。  <br />
  <br />
Array  <br />
(  <br />
    [retval] =&gt; Array  <br />
        (  <br />
            [0] =&gt; Array  <br />
                (  <br />
                    [category] =&gt; fruit  <br />
                    [items] =&gt; Array  <br />
                        (  <br />
                            [0] =&gt; apple  <br />
                            [1] =&gt; peach  <br />
                            [2] =&gt; banana  <br />
                        )  <br />
  <br />
                )  <br />
  <br />
            [1] =&gt; Array  <br />
                (  <br />
                    [category] =&gt; veggie  <br />
                    [items] =&gt; Array  <br />
                        (  <br />
                            [0] =&gt; corn  <br />
                            [1] =&gt; broccoli  <br />
                        )  <br />
  <br />
                )  <br />
  <br />
        )  <br />
  <br />
    [count] =&gt; 5  <br />
    [keys] =&gt; 2  <br />
    [ok] =&gt; 1  <br />
)</p>
<p><strong>2、根据category来分组，并统计count</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt; db.fruit.group(  <br />
           {  <br />
             key: { category: 1},  <br />
             cond: { _id: { $gt: 2 } },  <br />
             reduce: function(obj, prev) {  <br />
                prev.items.push(obj.name);  <br />
                prev.count++;  <br />
             },  <br />
             initial: { items : [] ,count:0}  <br />
           }  <br />
        );  <br />
[  <br />
    {  <br />
        "category" : "fruit",  <br />
        "items" : [  <br />
            "banana"  <br />
        ],  <br />
        "count" : 1  <br />
    },  <br />
    {  <br />
        "category" : "veggie",  <br />
        "items" : [  <br />
            "corn",  <br />
            "broccoli"  <br />
        ],  <br />
        "count" : 2  <br />
    }  <br />
]</p>
<p>php代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$keys = array("category" =&gt; 1);  <br />
$initial = array("items" =&gt; array(),'count'=&gt;0);  <br />
$reduce = "function (obj, prev) { " .  <br />
              "prev.items.push(obj.name); " .  <br />
              "prev.count++;" .  <br />
          "}";  <br />
$condition = array('condition' =&gt; array("_id" =&gt; array( '$gt' =&gt; 2)));  <br />
$g = $collection-&gt;group($keys, $initial, $reduce, $condition);  <br />
  <br />
print_r($g);   //结果如下。  <br />
  <br />
Array  <br />
(  <br />
    [retval] =&gt; Array  <br />
        (  <br />
            [0] =&gt; Array  <br />
                (  <br />
                    [category] =&gt; fruit  <br />
                    [items] =&gt; Array  <br />
                        (  <br />
                            [0] =&gt; banana  <br />
                        )  <br />
  <br />
                    [count] =&gt; 1  <br />
                )  <br />
  <br />
            [1] =&gt; Array  <br />
                (  <br />
                    [category] =&gt; veggie  <br />
                    [items] =&gt; Array  <br />
                        (  <br />
                            [0] =&gt; corn  <br />
                            [1] =&gt; broccoli  <br />
                        )  <br />
  <br />
                    [count] =&gt; 2  <br />
                )  <br />
        )  <br />
  <br />
    [count] =&gt; 3  <br />
    [keys] =&gt; 2  <br />
    [ok] =&gt; 1  <br />
) </p>
<p><strong>3、利用aggregate group功能，也挺强大</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt; db.fruit.aggregate([  <br />
                     { $match: { _id: {$gt:0} } },  <br />
                     { $group: { _id: "$category", count: { $sum: 1 } } },  <br />
                     { $sort: { count: -1 } }  <br />
                   ]);  <br />
{ "_id" : "fruit", "count" : 3 }  <br />
{ "_id" : "veggie", "count" : 2 } </p>
<p>php代码如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$cond = array(  <br />
    array(  <br />
        '$match' =&gt; array('_id' =&gt; array('$gt' =&gt; 0)),  <br />
    ),  <br />
    array(  <br />
        '$group' =&gt; array(  <br />
            '_id' =&gt; '$category',  <br />
           'count' =&gt; array('$sum' =&gt; 1),  <br />
        ),  <br />
    ),  <br />
    array(  <br />
        '$sort' =&gt; array("count" =&gt; -1),  <br />
    ),  <br />
);  <br />
$result = $collection-&gt;aggregate($cond);  <br />
print_r($result);    //结果如下：  <br />
  <br />
Array  <br />
(  <br />
    [result] =&gt; Array  <br />
        (  <br />
            [0] =&gt; Array  <br />
                (  <br />
                    [_id] =&gt; fruit  <br />
                    [count] =&gt; 3  <br />
                )  <br />
  <br />
            [1] =&gt; Array  <br />
                (  <br />
                    [_id] =&gt; veggie  <br />
                    [count] =&gt; 2  <br />
                )  <br />
  <br />
        )  <br />
  <br />
    [ok] =&gt; 1  <br />
) </p>
<p>mongodb 的select 操作有很多，在这里，只是说了一些常用的功能。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-13 18:30:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/mongodb/" title="mongodb">mongodb</a>, <a href="https://www.iamivan.net/tag/group%e6%93%8d%e4%bd%9c/" title="group操作">group操作</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP中的mongodb group操作实例_MongoDB的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmEaK3p.html" rel="bookmark">MongoDB入门教程之C&num;驱动操作实例&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为系列的最后一篇,得要说说C#驱动对mongodb的操作,目前驱动有两种:官方驱动和samus驱动,不过我个人还是喜欢后者, 因为提供了丰富的linq操作,相当方便. 官方驱动:https://github.com/mongodb/mongo-csharp-driver/downloads.下载后,还提供了一个酷似msdn的帮助文档. samus驱动:https://github.com/samus/mongodb-csharp/downloads. 下面就具体看看samus驱动,https:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GwkWp.html" rel="bookmark">PHP中MongoDB数据库的连接、添加、修改、查询、删除等操作实例&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP 扩展mongon.mod.dll下载http://cn.php.net/manual/en/mongo.installation.php#mongo.installation.windows 然后php.ini添加 extension=php_mongo.dll 最后phpinfo() 查找到 表标PHP已经自带了mongo功能,你就可以操作下面的代码(但是你必须有安装mongodb服务器) 一.连接数据库 使用下面的代码创建一个数据库链接 复制代码 代码如下: &lt;?php $conne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK9x4M.html" rel="bookmark">MongoDB教程之数据操作实例&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.  批量插入:      以数组的方式一次插入多个文档可以在单次TCP请求中完成,避免了多次请求中的额外开销.就数据传输量而言,批量插入的数据中仅包含一份消息头,而多次单条插入则会在每次插入数据时封装消息头数据.对于数据导入而言,我们可以使用mongoimport完成.  2.  数据库清除: 复制代码 代码如下:     &gt; db.users.remove()       以上命令将会清除users集合中的所有数据,但是不会删除集合本身以及关联的索引.数据删除操作是不可恢复的,一旦删除就物			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm31ZDb.html" rel="bookmark">Mongodb数据库的备份与恢复操作实例&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				写在前面 本文已经假设你已经安装好了Mongodb(2.6),并且已经开启了auth. 用户 首先我们添加备份和恢复数据所需的用户,这个用户需要有readWrite和userAdmin权限 复制代码 代码如下: $ mongo $ use admin $ db.auth(&quot;admin&quot;, &quot;youradminpasswd&quot;); $ use backupdb $ db.addUser({ user: &quot;backup&quot;, pwd: &quot;pas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zw57jvM.html" rel="bookmark">MongoDB中MapReduce编程模型使用实例&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注:作者使用的MongoDB为2.4.7版本. 单词计数示例: 插入用于单词计数的数据: 复制代码 代码如下: db.data.insert({sentence:'Consider the following map-reduce operations on a collection orders that contains documents of the following prototype'})db.data.insert({sentence:'I get the following e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4WLwjp.html" rel="bookmark">MongoDB教程之查询操作实例&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.  基本查询:     构造查询数据.   复制代码 代码如下:     &gt; db.test.findOne()     {          &quot;_id&quot; : ObjectId(&quot;4fd58ecbb9ac507e96276f1a&quot;),          &quot;name&quot; : &quot;stephen&quot;,          &quot;age&quot; : 35,          &quot;genda&quot; : &qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLaEjM.html" rel="bookmark">java中vector与hashtable操作实例分享&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				众所周知,java中vector与hashtable是线程安全的,主要是java对两者的操作都加上了synchronized,也就是上锁了.因此 在vector与hashtable的操作是不会出现问题.但是有一种情况:就是将一个hashtable copy到另一个hashtable时,假如使用putAll方法的花,会抛出一个 java.util.ConcurrentModificationException异常.先上代码: TestSync.java 复制代码 代码如下: public clas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9N6Okp.html" rel="bookmark">PHP中dat文件读写操作实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以下是一篇关于文件基本读写操作的文章,我曾经就是看了这篇文章后学会文件基本操作的,在这里发出来与大家共享: 复制内容到剪贴板  代码如下 复制代码 $file_name = &quot;data.dat&quot;; // 要读取的文件的绝对路径: homedata.dat $file_pointer = fopen($file_name, &quot;r&quot;); // 打开文件,&quot;r&quot; 是一种模式,或者说我们要进行的操作方法,详见本文后面的介绍 $file_read = fr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyk9Kb.html" rel="bookmark">Drupal7中常用的数据库操作实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 Drupal 7 提供的新功能其中一个就是可以使用 Query Builder and Query Objects 查询生成器来构造查询对象的能力,无需在代码中写原始的SQL语句,一是提高了代码可阅读性,二是兼容所有数据库 1.插入单条记录   代码如下:db_insert(&quot;table&quot;)-&gt;fields(array('field1' =&gt; 'value1', 'field2' =&gt; 'value2', 'fieldn' =&gt; $valuen))-&gt;e			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz46L9M.html" rel="bookmark" class="title">PHP教程&period;应用实例16</a>
					<div>
						教程|应用实例 基于PHP的聊天室(一) 这个经过精心设计的web聊天室使用了从表单传递过来的变量,并且把它们处理为HTML ,然后将其写入文件.把表单和信息文件放在一个框架中,你可以看到它与一个叫B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAyXQM.html" rel="bookmark" class="title">Photoshop笔刷实例：线框特效</a>
					<div>
						1.新增一个文档,文档尺寸随你喜欢而定.选择菜单&quot;编辑&gt;填充&quot;,使用一种色彩填充背景图层(我使用#6188A0).然后在背景图层上新增一个图层,命名为Object. 2.接下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv6l1M.html" rel="bookmark" class="title">php 输出变量加大括号&lbrace;&rcub;的作用</a>
					<div>
						php输出变量加大括号,这是什么写法?看下面一段代码: [php]   &lt;?php   header(&quot;Content-Type:text/html; charset=utf-8&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPmLmz.html" rel="bookmark" class="title">将DataGrid中数据倒出Excel文件并下载</a>
					<div>
						datagrid|excel|数据|下载    Imports System   Imports System.Text   Namespace toExcel      '功能:将ASP.net中D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ1oYp.html" rel="bookmark" class="title">java编码中的一些经验和教训</a>
					<div>
						编码 这几天集中时间重拾388备份文件格式研究,使用的工具主要是NetBeans.010 Editor.Excel.NetBeans用来测试分析处的规律,用java语言实现:010 Editor主要是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b20e4p.html" rel="bookmark" class="title">用户体验&colon;网站需要不需要在线客服</a>
					<div>
						[说明]:本文所有截图源于网络,与本身截图的产品无关,仅为举例说明.同时本文讲的很浅显,改天从技术层面讲一下行业网站怎么应用.       昨天和一个朋友聊起网站在线客服的事情,即:       要不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM95XvM.html" rel="bookmark" class="title">对于常用五大搜索引擎的一些总结</a>
					<div>
						对于SEOer,掌握每个搜索引擎的特点,可能是必修课,虽然认知有差异,但是有些内容还是有共识的.今天,结合我这段时间观察的几点,来说说我们常接触到的几个搜索引擎(有百度.谷歌.搜狗.搜搜.必应)的特点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqPeGb.html" rel="bookmark" class="title">Asp组件初级入门与精通系列之六</a>
					<div>
						错误处理 如果页面出错,而没有对错误的处理,那么页面会显示一个用户可能看不懂的错误. 在asp脚本中可以使用 On Error Resume Next -- if Err.Number&lt;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn2NKp.html" rel="bookmark" class="title">集成Flex&comma;Spring&comma;Hibernate构建应用程序</a>
					<div>
						RIA(Rich Internet Application)-- 富 Internet 应用以其良好的客户体验得到越 来越广泛的应用,银行,电信等领域已有诸多成功案例.Adobe 的 Flex 是最具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxLGOb.html" rel="bookmark" class="title">Linux入门基础（五） Linux文件系统挂载管理</a>
					<div>
						挂载操作    磁盘或分区创建好文件系统后,需要挂载到一个目录才能够使用. Windows或Mac系统会自动进行挂载,一旦创建好文件系统后会自动挂载到系统上,Windows上称之为C盘,D盘等 Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6lBVz.html" rel="bookmark" class="title">汇集（Marshaling）</a>
					<div>
						&quot;汇集&quot;(Marshaling)是指将一个函数自变量从它原始的二进制形式转换成与语言无关的某种形式,再将这种通用形式转换成适合调用函数采用的二进制格式.在前面的例子中,我们调用了M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLE52b.html" rel="bookmark" class="title">PPT中的好图表怎么来的？</a>
					<div>
						PPT中的好图表怎么来的? 编者按:今天@不到布给同学们安利一个超实用的在线神器,可以创建流程图.UML图.线框图.BPNM.组织架构图.网站地图等各式图表,还有很多贴心功能,来一一感受下. 之前写醍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j8nZb.html" rel="bookmark" class="title">解析Neatbeans&lpar;常见错误&rpar; build-impl&period;xml&colon;305&colon; Compile failed</a>
					<div>
						本篇文章是对Neatbeans(常见错误) build-impl.xml:305: Compile failed的解决方法进行了详细的分析介绍,需要的朋友参考下   先贴一段build-impl.xm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7RK6b.html" rel="bookmark" class="title">centos禁止与开启ping设置</a>
					<div>
						  禁止ping:  代码如下   echo 1 &gt; /proc/sys/net/ipv4/icmp_echo_ignore_all 允许ping:  代码如下   echo 0 &gt; /p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oYEAb.html" rel="bookmark" class="title">页面加载完成后再执行JS的jquery写法以及区别说明</a>
					<div>
						 本篇文章主要是对页面加载完成后再执行JS的jquery写法以及区别进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 1.$(function(){  $(&quot;#a&quot;).cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwywBb.html" rel="bookmark" class="title">怎么用格式工厂把视频转换成mp3</a>
					<div>
						  第一步:下载格式工厂软件安装后,打开. 第二步:将所要转换的CD光盘放在光驱内. 第三步:出现下图界面后,可能文件进行选择,一般转换整张光盘无需选择,但要注意输出配置里要选成MP3.然后点右上角的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwxNKb.html" rel="bookmark" class="title">Factory模式</a>
					<div>
						Factory模式的两个重要功能: 1)定义创建对象的接口,封装了对象的创建: 2)使得具体化类的工作延迟到了子类中. 声明一个创建对象的接口,并封装了对象的创建过程的Factory的结构示意图为:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8K5ab.html" rel="bookmark" class="title">遵循互联网架构&OpenCurlyDoubleQuote;八荣八耻&rdquo;，解析EWS高质量架构6个维度的20个能力</a>
					<div>
						本文主要从最初的聚石塔容器服务EWS开始讲起,进而分享了EWS 高质量架构产品化的C2B方案和全渠道方案,着重说明了EWS的技术实现,包括EWS的总体架构以及EWS的功能实现等. 直播视频:点此进入  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE64K9M.html" rel="bookmark" class="title">联想网盘、钉钉、销售易：企业减负增效的SaaS解决方案</a>
					<div>
						随着云计算.大数据.移动化日趋流行,基于此类技术衍生的产品也被越来越广泛的应用于工作场景,并潜移默化地改变着我们的工作方式.异地协作.手机审批.智能助理逐渐被企业所采纳,这不仅降低了传统的企业管理和运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwmm7p.html" rel="bookmark" class="title">域&lpar;Domain&rpar;与工作组的区别</a>
					<div>
						域和组的区别 工作组是一群计算机的集合,它仅仅是一个逻辑的集合,各自计算机还是各自管理的,你要访问其中的计算机,还是要到被访问计算机上来实现用户验证的.而域不同,域是一个有安全边界的计算机集合,在同一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Z8nz.html" rel="bookmark" class="title">tcp-java环境下  组播可以是TCP连接基础上的吗？</a>
					<div>
						问题描述 java环境下 组播可以是TCP连接基础上的吗? 我需要开发一个聊天室的案例 但是文本的传输需要可靠的TCP连接 但是我不知道java中是否有能实现基于TCP连接的组播方式? 解决方案 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYQyLp.html" rel="bookmark" class="title">关于圆的定义</a>
					<div>
						昨天,我读到一篇文章,很赞同它的观点. 科学认识形成于直观的想法,但是最终要用抽象的公式来表达. Conception is about ideas, but formulas are the way ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZgPqp.html" rel="bookmark" class="title">&lbrack;译&rsqb; 离线友好的表单</a>
					<div>
						本文讲的是[译] 离线友好的表单, 原文地址:Offline-Friendly Forms 原文作者:mxbck 译文出自:掘金翻译计划 本文永久链接:github.com/xitu/gold-m-  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z6jWM.html" rel="bookmark" class="title">高手们过来帮个忙？趋势统计</a>
					<div>
						问题描述 在做调查的时候有一个功能不知道怎么实现,高手请帮我一下:对网站的调查:110%上升215%下降325%下降460%平稳就是对它现在的投票状态进行统计,是上升,下降,还是平稳,不知道怎么样实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12N9Kp.html" rel="bookmark" class="title">网络编程-inet&lowbar;pton函数运行时，这个函数执行出错，难道我的函数调用有问题吗</a>
					<div>
						问题描述 inet_pton函数运行时,这个函数执行出错,难道我的函数调用有问题吗 #include&lt;sys/types.h&gt; #include&lt;sys/socket.h&gt; # ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyenG5M.html" rel="bookmark" class="title">淘宝后台上传商品需数据条形码，密谋商品条码数据的争夺战</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 [亿邦动力网讯]淘宝正在密谋一场关于商品条码数据的争夺战,但对于品牌商而言,是否愿意将其拱手相让,则取决于商业敏感度. 日前,淘宝(含天猫)全面升级商品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJr3qp.html" rel="bookmark" class="title">ASP&period;net弹出窗口</a>
					<div>
						问题描述 如何实现CSDN论坛一样的弹出窗口,就好像结贴时,当点击'无满意结贴',就会弹出一个窗口要求输入密码,然后主页面就变灰色,直到确认密码输入正确以后,弹出窗口消失,主页面才可以操作.如果那位有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrZlep.html" rel="bookmark" class="title">深入浅析JavaScript中的arguments对象&lpar;强力推荐&rpar;&lowbar;javascript技巧</a>
					<div>
						1.在JavaScript中,arguments对象是比较特别的一个对象,实际上是当前函数的一个内置属性.arguments非常类似Array,但实际上又不是一个Array实例.可以通过如下代码得以证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVn5Bz.html" rel="bookmark" class="title">Python遍历目录的4种方法实例介绍&lowbar;python</a>
					<div>
						1.os.popen运行shell列表命令 复制代码 代码如下: def traverseDirByShell(path):     for f in os.popen('ls ' + path):  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWkoJz.html" rel="bookmark" class="title">这个问题问过很多遍，但我还是想问mapinfo格式的地图如何加密？</a>
					<div>
						问题描述 用c#开发的c/s版本的地理信息系统,如今要部署到众多客户端上,但客户提出地图文件要加密,防止泄露,我看坛子里已经有前辈问过类似问题,可最后总是不了了之,各位达人有什么比较好的方法或者思路来 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
